Managed Instance Administrators - Create Or Update
Creates or updates a managed instance administrator.
PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/managedInstances/{managedInstanceName}/administrators/ActiveDirectory?api-version=2021-11-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
administrator
|
path | True | ||
|
managed
|
path | True |
string |
The name of the managed instance. |
|
resource
|
path | True |
string |
The name of the resource group that contains the resource. You can obtain this value from the Azure Resource Manager API or the portal. |
|
subscription
|
path | True |
string |
The subscription ID that identifies an Azure subscription. |
|
api-version
|
query | True |
string |
The API version to use for the request. |
Request Body
| Name | Required | Type | Description |
|---|---|---|---|
| properties.administratorType | True |
Type of the managed instance administrator. |
|
| properties.login | True |
string |
Login name of the managed instance administrator. |
| properties.sid | True |
string |
SID (object ID) of the managed instance administrator. |
| properties.tenantId |
string |
Tenant ID of the managed instance administrator. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Successfully updated the managed instance administrator. |
|
| 201 Created |
Successfully created the managed instance administrator. |
|
| 202 Accepted |
Accepted |
|
| Other Status Codes |
*** Error Responses: ***
|
Examples
| Create administrator of managed instance |
| Update administrator of managed instance |
Create administrator of managed instance
Sample request
PUT https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/managedInstances/managedInstance/administrators/ActiveDirectory?api-version=2021-11-01
{
"properties": {
"administratorType": "ActiveDirectory",
"login": "bob@contoso.com",
"sid": "44444444-3333-2222-1111-000000000000",
"tenantId": "55555555-4444-3333-2222-111111111111"
}
}
Sample response
{
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/managedInstances/managedInstance/administrators/ActiveDirectory",
"name": "ActiveDirectory",
"properties": {
"administratorType": "ActiveDirectory",
"login": "bob@contoso.com",
"sid": "44444444-3333-2222-1111-000000000000",
"tenantId": "55555555-4444-3333-2222-111111111111"
},
"type": "Microsoft.Sql/managedInstances/administrators"
}
{
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/managedInstances/managedInstance/administrators/ActiveDirectory",
"name": "ActiveDirectory",
"properties": {
"administratorType": "ActiveDirectory",
"login": "bob@contoso.com",
"sid": "44444444-3333-2222-1111-000000000000",
"tenantId": "55555555-4444-3333-2222-111111111111"
},
"type": "Microsoft.Sql/managedInstances/administrators"
}
Update administrator of managed instance
Sample request
PUT https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/managedInstances/managedInstance/administrators/ActiveDirectory?api-version=2021-11-01
{
"properties": {
"administratorType": "ActiveDirectory",
"login": "bob@contoso.com",
"sid": "44444444-3333-2222-1111-000000000000",
"tenantId": "55555555-4444-3333-2222-111111111111"
}
}
Sample response
{
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/managedInstances/managedInstance/administrators/ActiveDirectory",
"name": "ActiveDirectory",
"properties": {
"administratorType": "ActiveDirectory",
"login": "bob@contoso.com",
"sid": "44444444-3333-2222-1111-000000000000",
"tenantId": "55555555-4444-3333-2222-111111111111"
},
"type": "Microsoft.Sql/managedInstances/administrators"
}
{
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/managedInstances/managedInstance/administrators/ActiveDirectory",
"name": "ActiveDirectory",
"properties": {
"administratorType": "ActiveDirectory",
"login": "bob@contoso.com",
"sid": "44444444-3333-2222-1111-000000000000",
"tenantId": "55555555-4444-3333-2222-111111111111"
},
"type": "Microsoft.Sql/managedInstances/administrators"
}
Definitions
| Name | Description |
|---|---|
|
Administrator |
|
|
Managed |
An Azure SQL managed instance administrator. |
|
Managed |
Type of the managed instance administrator. |
AdministratorName
| Value | Description |
|---|---|
| ActiveDirectory |
ManagedInstanceAdministrator
An Azure SQL managed instance administrator.
| Name | Type | Description |
|---|---|---|
| id |
string |
Resource ID. |
| name |
string |
Resource name. |
| properties.administratorType |
Type of the managed instance administrator. |
|
| properties.login |
string |
Login name of the managed instance administrator. |
| properties.sid |
string |
SID (object ID) of the managed instance administrator. |
| properties.tenantId |
string |
Tenant ID of the managed instance administrator. |
| type |
string |
Resource type. |
ManagedInstanceAdministratorType
Type of the managed instance administrator.
| Value | Description |
|---|---|
| ActiveDirectory |